Google Cannot Tolerate Old Browsers

It’s no secret that Google has a certain no-tolerate policy against old browsers that need upgrading. It’s even true that Google is often trying to force or encourage people to upgrade their browsers and to stop ignoring upgrade notices. Users of old versions of Safari and old versions of Opera reported seeing the 2013 version of Google search and the old edition of Google Images on their browser. The old browser users reported this issue in a certain forum, explaining the matter. Many people seemed to have the exact same problem, whereby Google posted a message on the forum explaining that this 2013 version everyone is seeing is intentional to encourage people to update their browsers.

The official Google forum created for the purpose of discussing issues related to Google’s search engine services, many Safari and Opera users from all over the world reported that they were seeing the 2013 Google that lacks a lot of options and features that are needed by some people.

Many people tried to fix this problem but all their efforts were done in vain. Users that were affected by Google’s new policy tried deleting their cookies and turning off browser extensions. However all their effort was wasted because Google thought beforehand that people might try to do such things so they managed to prevent cookies from affecting Google’s old home page. After a lot of frustrating attempts to trick Google into believing that an old browser is newer than it really is, some people managed to do a simple change in the configuration of an old browser and afterwards they managed to use the modern Google on a very old browser.

An engineer working for the Google software company explained in a post on the forum that this appearance of the 2013 Google is not happening due to a bug or a virus, it is rather an intentionally applied encouragement for old-browser users to upgrade. Nealem, a Google staffer, clarified the main reason behind encouraging users to update their browsers. Nealem said that Google is constantly making changes and improvements to its software and search engine, therefore Google users must have new browsers that are compatible with the updates made by the company.

Nealem posted a link to a site called “What Browser,” a website that informs its users about the version of the browser they are using and ways they can update it. Nealem has added many features in hopes of encouraging people to update their browsers, however things did not turn out as planned and events took a strong curve to the worst.

Many of the old-browser users wanted to stick to their browser and did not want to update it because the updated versions change things that are favored by these people. Users started describing Google’s latest act as unjust, ridiculous and heavy-handed, they also started threatening the software company that if it does not change this policy then they will simply use different search engines like Yahoo! and Bing. Only time will tell if these threats are enough to get Google to change its position against no-tolerate policy against old browsers, but since they haven’t yet made a comment on these threats, there may be a sign of hope.